﻿using Infragistics.Windows.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace pageup_down
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamTabControl_PreviewKeyDown(object sender, KeyEventArgs e)
        {
            XamTabControl tab = (sender as XamTabControl);
            var sIndex = tab.SelectedIndex;

            if (e.Key == Key.PageDown)
            {
                if (sIndex >= 0 && sIndex < tab.Items.Count - 1)
                {
                   tab.SelectedIndex = sIndex + 1;
                }      
            }
            else if (e.Key == Key.PageUp)
            {
                if (sIndex >= 1 && sIndex <= tab.Items.Count - 1)
                {
                    tab.SelectedIndex = sIndex - 1;
                }
            }

            if (e.Key == Key.Tab && 
                (Keyboard.Modifiers & ModifierKeys.Control) == ModifierKeys.Control)
            {
               // tab.SelectedIndex = sIndex-1;
              

                FocusNavigationDirection focusDirection = FocusNavigationDirection.Next;

                // MoveFocus takes a TraveralReqest as its argument.
                TraversalRequest request = new TraversalRequest(focusDirection);

                // Gets the element with keyboard focus.
                UIElement elementWithFocus = Keyboard.FocusedElement as UIElement;

                // Change keyboard focus.
                if (elementWithFocus != null)
                {
                    elementWithFocus.MoveFocus(request);
                    tab.SelectedIndex = sIndex;
                }
                e.Handled = true;

                
            }
        }
    }
}
